Bug 391291 - SELinux is preventing setxkbmap (rhgb_t) "getattr" to / (fs_t).
SELinux is preventing setxkbmap (rhgb_t) "getattr" to / (fs_t).
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
7
i686 Linux
low Severity high
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-19 19:54 EST by Tim McConnell
Modified: 2007-12-10 19:56 EST (History)
0 users

See Also:
Fixed In Version: 2.6.4-59.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-10 19:56:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim McConnell 2007-11-19 19:54:07 EST
Description of problem:
SELinux denied access requested by setxkbmap. It is not expected that this
    access is required by setxkbmap and this access may signal an intrusion
    attempt. It is also possible that the specific version or configuration of
    the application is causing it to require additional access.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Allowing Access
    You can generate a local policy module to allow this access - see
    http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you can disable
    SELinux protection altogether. Disabling SELinux protection is not
    recommended. Please file a http://bugzilla.redhat.com/bugzilla/enter_bug.cgi
    against this package.

Additional Information        

Source Context                system_u:system_r:rhgb_t
Target Context                system_u:object_r:fs_t
Target Objects                / [ filesystem ]
Affected RPM Packages         filesystem-2.4.6-1.fc7 [target]
Policy RPM                    selinux-policy-2.6.4-49.fc7
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall
Host Name                     timmieland.private
Platform                      Linux timmieland.private 2.6.23.1-21.fc7 #1 SMP
                              Thu Nov 1 21:09:24 EDT 2007 i686 athlon
Alert Count                   29
First Seen                    Mon 05 Nov 2007 11:30:57 PM MST
Last Seen                     Sat 10 Nov 2007 03:11:26 PM MST
Local ID                      bbcf2355-3f59-45e4-94a0-8451178713f8
Line Numbers                  

Raw Audit Messages            

avc: denied { getattr } for comm="setxkbmap" dev=dm-0 name="/" pid=2942
scontext=system_u:system_r:rhgb_t:s0 tclass=filesystem
tcontext=system_u:object_r:fs_t:s0
Comment 1 Daniel Walsh 2007-11-20 07:12:05 EST
Fixed in selinux-policy-2.6.4-58.fc7

Note You need to log in before you can comment on or make changes to this bug.